namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 附加评估标准结果")]
[Table("SubjectAdditionalEvaluationResult")]
public class SubjectAdditionalEvaluationResult : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TrialReadingQuestionId")]
    public ReadingQuestionTrial TrialReadingQuestion { get; set; }

    #endregion
    public Guid TrialReadingQuestionId { get; set; }

    public Guid SubjectId { get; set; }

    public Guid TrialReadingCriterionId { get; set; }

    public Guid? VisitTaskId { get; set; }

    public string Answer { get; set; } = string.Empty;

    [Comment("附加评估答案翻译字典")]

    public string TranslateDictionaryCode { get; set; } = string.Empty;

    [Comment("是否是最终结果")]

    public bool IsFinalResult { get; set; }

    [Comment("最终结果")]

    public string FinalAnswer { get; set; } = string.Empty;

    [Comment("最终结果翻字典")]

    public string FinalTranslateDictionaryCode { get; set; } = string.Empty;

}

